mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IFormatterConverter System.Runtime.InteropServices.ComVisible(true) To be added

Represents a base implementation of the interface that uses the class and the interface.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added

  Converts a value to the given .

  The converted or null if the parameter is null.

  The object to convert. The into which is converted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added

  Converts a value to the given .

  The converted , or null if the parameter is null.

  The object to convert. The into which is converted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .)

  Converts a value to a .

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , and .

  Converts a value to an 8-bit unsigned integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a Unicode character.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a .

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a .

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a double-precision floating-point number.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 16-bit signed integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 32-bit signed integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 64-bit signed integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.SByte ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a .

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a single-precision floating-point number.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts the specified object to a .

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt16 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 16-bit unsigned integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt32 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 32-bit unsigned integer.

  The converted or null if the parameter is null.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 ``

  This method uses the invariant culture (see ). To use the current culture or to specify a culture, use the method instead. For more information, see , , and .

  Converts a value to a 64-bit unsigned integer.

  The converted or null if the parameter is null.

  The object to convert.